import BaseItem from "./base-item.mjs";

const {BooleanField, NumberField, SchemaField, ArrayField, StringField, HTMLField} = foundry.data.fields;

export class LiturgyDataModel extends BaseItem {

    static defineSchema() {
        return {
            herkunft: new ArrayField(new SchemaField({
                name: new StringField(),
                grad: new NumberField(),
            })),
            grad: new NumberField({min: 1, max: 5}),
            reichweite: new StringField(),
            ziel: new StringField(),
            wirkungsdauer: new StringField(),
            auswirkung: new SchemaField({
                I: new StringField(),
                II: new StringField(),
                III: new StringField(),
                IV: new StringField(),
                V: new StringField(),
                VI: new StringField(),
                VII: new StringField(),
                VIII: new StringField(),
            })

        }
    }

    prepareData() {
    }

    /**
     * Prepare a data object which is passed to any Roll formulas which are created related to this Item
     * @private
     */
    getRollData() {
    }

    /**
     * Handle clickable rolls.
     * @param {Event} event   The originating click event
     * @private
     */
    async roll() {
    }

}
